<?php
/**
* Global Color Settings.
*
* @package Modern Art Gallery
*/

$modern_art_gallery_default = modern_art_gallery_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'modern_art_gallery_global_color_setting',
	array(
	'title'      => esc_html__( 'Global Color Settings', 'modern-art-gallery' ),
	'priority'   => 1,
	'capability' => 'edit_theme_options',
	'panel'      => 'modern_art_gallery_theme_option_panel',
	)
);

$wp_customize->add_setting( 'modern_art_gallery_global_color',
    array(
    'default'           => '#FF8E39',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'modern_art_gallery_global_color',
    array(
        'label'      => esc_html__( 'Global Color', 'modern-art-gallery' ),
        'section'    => 'modern_art_gallery_global_color_setting',
        'settings'   => 'modern_art_gallery_global_color',
    ) ) 
);

$wp_customize->add_setting( 'modern_art_gallery_secondary_color',
    array(
    'default'           => '#151515',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control( 
    new WP_Customize_Color_Control( 
    $wp_customize, 
    'modern_art_gallery_secondary_color',
    array(
        'label'      => esc_html__( 'Seconday Color', 'modern-art-gallery' ),
        'section'    => 'modern_art_gallery_global_color_setting',
        'settings'   => 'modern_art_gallery_secondary_color',
    ) ) 
);